# fromInsecureUri

abstract fun fromInsecureUri(uri: Any): TextResource

Creates a text resource backed by the given uri. NOTE: This method allows insecure protocols (like HTTP) to be used. Only use this method if you're comfortable with the dangers.

#### Return

a text resource backed by the given uri

#### Since

6.0

#### Parameters

uri

a URI as evaluated by uri

#### See also

fromUri(Object)